# test-pkg
Простой пакет для теста пакетника.

## `package.json` референс
```json
{
	"name": "example",
	"description": "Example package.json for reference",
	"version": "1.0.0",
	"mainDir": "."
	"dependencies": [
		"https://gitea.bedohswe.eu.org/api/packages/n3tael/generic/test-pkg/1.0.0/test-pkg.tar.gz"
	]
}
```

| Имя          | Аргумент      | Описание                                  |
|--------------|---------------|-------------------------------------------|
| name         | string        | Имя пакета                                |
| description  | string        | Описание пакета                           |
| version      | string        | Версия пакета                             |
| mainDir      | string        | Директория в которой хранятся `.lb` файлы |
| dependencies | массив string | Зависимости пакета                        |

## Как работает `mainDir`

Для каждого пакета должна быть установлено свойство `mainDir`, которое означает в какой директории находятся `.lb` файлы зависимости.

## Как работает `dependencies`

`dependencies` - это массив с адресами пакетов на Gitea.

Адрес выглядит так:
```asciiart

	GET https://gitea.bedohswe.eu.org/api/packages/n3tael/generic/test-pkg/1.0.0/test-pkg.tar.gz
	 |	[---]   [-------------------] [----------] [----] [-----] [------] [---] [-------------]
	 |	  |               |                |          |      |       |        |         |
	 | протокол           |          запрос к апи   автор    |    название    |   архив с пакетом
	 |			    адрес сервера                            |             версия
тип запроса                                           тип реестра пакетов
                               (в нашем случае это generic, ибо о лабашках знает 1,5 человека)

```

Про публикацию, удаление пакета (версии) - [тут](https://docs.gitea.com/usage/packages/generic)